## org.eclipse.datatools.modelbase.sql.schema.impl
Class CatalogImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.CatalogImpl

All Implemented Interfaces:
  Catalog, SQLObject

Direct Known Subclasses:
  JDBCCatalog

public class CatalogImpl
extends SQLObjectImpl
implements Catalog

An implementation of the model object 'Catalog'.

The following features are implemented:

- `Database`
- `Schemas`

See Also:
  Serialized Form

Method Summary
`Database` `basicGetDatabase()`
`NotificationChain` `basicSetDatabase(Database newDatabase, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`Database` `getDatabase()`
`EList` `getSchemas()`
`void` `setDatabase(Database newDatabase)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getDatabase

    public Database getDatabase()

  Specified by:
    `getDatabase` in interface `Catalog`
  Returns:
    the value of the 'Database' reference.
  See Also:
    `Catalog.setDatabase(Database)`, `SQLSchemaPackage.getCatalog_Database()`, `Database.getCatalogs()`

### basicGetDatabase

    public Database basicGetDatabase()

### basicSetDatabase

    public NotificationChain basicSetDatabase(Database newDatabase,
                                              NotificationChain msgs)

### setDatabase

    public void setDatabase(Database newDatabase)

  Specified by:
    `setDatabase` in interface `Catalog`
  Parameters:
    `newDatabase` - the new value of the 'Database' reference.
  See Also:
    `Catalog.getDatabase()`

### getSchemas

    public EList getSchemas()

  Specified by:
    `getSchemas` in interface `Catalog`
  Returns:
    the value of the 'Schemas' reference list.
  See Also:
    `SQLSchemaPackage.getCatalog_Schemas()`, `Schema.getCatalog()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.